## chrootuid 1.3

=== Makefile ===
# @(#) Makefile 1.2 93/08/12 16:09:29

FILES	= README Makefile chrootuid.c chrootuid.1
CFLAGS	= -O 

all:	chrootuid chrootuid.1

chrootuid: chrootuid.c
	$(CC) $(CFLAGS) -o $@ $?

#chrootuid.1: chrootuid.c
#	srctoman $? >$@

shar:	$(FILES)
	@shar $(FILES)

install: chrootuid.1 chrootuid
	cp chrootuid /usr/local/bin
	cp chrootuid.1 /usr/local/man/man1

clean:
	rm -f *.o core chrootuid

=== debian/changelog ===
chrootuid (1.3-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043084)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #947577)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Oct 2023 20:24:47 +0200

chrootuid (1.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965455
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #998939)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 17:10:27 -0300

chrootuid (1.3-6) unstable; urgency=low

  * Change maintainer's e-mail address
  * Use debhelper compatibility version 4
  * Update Standards-Version, no changes needed.
  * Added a Homepage: to debian/control
  * Convert debian/copyright to UTF-8
  * debian/rules: Cleanup and remove unnecessary configure target

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 12 Jun 2011 17:39:21 +0200

chrootuid (1.3-5) unstable; urgency=low

  * Do not use getopt as this interferes with the options provided to the
    command that chrootuid calls. Use a simple scan of the command line
    instead. (Closes: #358980)
  * Change usage line in the program to reflect the -i option
  * Improve the previous changelog entry giving proper credit.
  * Use debhelper compatibility version 4
  * Improve the manpage to explain better what the expected exit status are.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 07 May 2007 22:38:04 +0200

chrootuid (1.3-4) unstable; urgency=low

  * Add new interactive mode (-i) to make it output errors on stderr and
    exit with 1 if something fails (patch provided by Yauhen Kharuzhy from
    the ALT Linux distribution slightly modified). The default mode is the
    daemon (inetd) mode: errors are logged to syslog and exit status is 0
    (regadless of any errors after the execve). Also change manpage
    accordingly.  (Closes: #328444)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 20 Nov 2005 16:25:03 +0100

chrootuid (1.3-3) unstable; urgency=low

  * Add -O2 with compilation (Closes: #180804) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 13 Feb 2003 20:30:15 +0100

chrootuid (1.3-2) unstable; urgency=low

  * Previous version was not released to the Debian archive, this is.
  (Closes: #117996)
  * This version provides the original copyright file (since it's PGP
    signed) even if included partially in the debian copyright file.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 2 May 2002 00:12:30 +0200 

chrootuid (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 25 Oct 2001 00:22:40 +0200

=== debian/control ===
Source: chrootuid
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.1.0
Homepage: http://ftp.porcupine.org/pub/security/index.html

Package: chrootuid
Architecture: any
Depends: ${shlibs:Depends}
Description: Run commands in restricted environments
 Chrootuid makes it easy to run a network service at low privilege
 level and with restricted file system access.  The daemons have access only
 to their own directory tree, and run under a low-privileged userid.
 .
 In the past it has been used to run the gopher and www 
 (world-wide web) network. It can be used nowadays also for proxy servers.
 The arrangement greatly reduces the impact of possible loopholes in 
 network software.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -m 755 chrootuid $(CURDIR)/debian/chrootuid/usr/bin/
	install -m 644 debian/overrides $(CURDIR)/debian/chrootuid/usr/share/lintian/overrides/chrootuid


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README chrootuid_license
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman chrootuid.1
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build-arch: build
build-indep: build
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
